Subject: bug#55544: closed (Re: bug#55544: deja-dup's Google support will break in September 2022 for versions < 43.3)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Jul 2022 03:28:02 +0000

Your bug report

#55544: deja-dup's Google support will break in September 2022 for versions < 43.3

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55544: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55544
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55544: deja-dup's Google support will break in September 2022 for versions < 43.3
From: Maxim Cournoyer <[email-masked]>
To: "Michael Terry" <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Jul 2022 23:27:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Michael,

"Michael Terry" <[email-masked]> writes:

> Hello! I'm the upstream maintainer of Deja Dup. Google will be removing a particular oauth workflow that Deja Dup uses in September.
>
> This means that any new authentications for users trying to connect Deja Dup to their Google account will fail after that date (existing users that have already authenticated themselves will continue to work).
>
> If possible, updating to 43.3 will fix this. But for older releases (Guix is on 42.8 at time of writing, I believe), I recommend a backported patch.
>
> Here's a wiki page for more information about the issue, including backported patches for older versions: https://wiki.gnome.org/Apps/DejaDup/GoogleAuthChange2022

Thanks for the heads-up!

I've now managed to update our deja-dup package to version 43.4 in
commit cabfbcf6e073c755d458ad3158aedd2221572903.

Closing,

Maxim

Subject: deja-dup's Google support will break in September 2022 for versions < 43.3
From: "Michael Terry" <[email-masked]>
To: [email-masked]
Date: Fri, 20 May 2022 10:49:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello! I'm the upstream maintainer of Deja Dup. Google will be removing a particular oauth workflow that Deja Dup uses in September.

This means that any new authentications for users trying to connect Deja Dup to their Google account will fail after that date (existing users that have already authenticated themselves will continue to work).

If possible, updating to 43.3 will fix this. But for older releases (Guix is on 42.8 at time of writing, I believe), I recommend a backported patch.

Here's a wiki page for more information about the issue, including backported patches for older versions: https://wiki.gnome.org/Apps/DejaDup/GoogleAuthChange2022